dpkg-divert(1)

NAAM
dpkg-divert - vervang de versie van een bestand in een pakket

OVERZICHT
dpkg-divert [optie...] commando

BESCHRIJVING
dpkg-divert is het hulpprogramma dat gebruikt wordt om de lijst met omleggingen aan te maken en bij te werken.

Bestands-omleggingen zijn een manier om dpkg(1) te dwingen een bestand niet op zijn eigen locatie te installeren, maar op een omgeleide locatie. Omleggingen kunnen door de scripts van een Debian pakket gebruikt worden om een bestand uit de weg te zetten als het een tegenstrijdigheid veroorzaakt. Systeembeheerders kunnen het ook gebruiken om het configuratiebestand van een bepaald pakket te vervangen of wanneer bepaalde bestanden (die niet als “conffiles” (configuratiebestanden) gemarkeerd staan) behouden moeten worden door dpkg bij het installeren van een recentere versie van een pakket dat die bestanden bevat.

COMMANDO'S

[--add] bestand
    Voeg voor bestand een omlegging toe.

--remove bestand
    Verwijder een omlegging voor bestand.

--list glob-patroon
    Som de omleggingen op die aan glob-patroon beantwoorden.

--listpackage bestand
    Geef de naam van het pakket weer dat bestand omleidt (sinds dpkg 1.15.0). Vermeldt LOCAL als bestand lokaal omgeleid werd en niets als bestand niet omgeleid werd.

--truename bestand
    Vermeld de echte naam van een omgeleid bestand.

OPTIES

--admindir map
    Stel de datamap van dpkg in op map (standaard: /var/lib/dpkg).

--divert leid-om-naar
    leid-om-naar is de locatie waarnaartoe de versies van bestand die door andere pakketten geleverd worden, omgeleid zullen worden.

--local
    Geeft aan dat dit bestand bij alle pakketversies omgeleid wordt. Dit betekent dat er geen uitzonderingen zijn en dat het bestand omgeleid wordt, ongeacht het pakket dat geïnstalleerd wordt. Dit kan gebruikt worden door een systeembeheerder om een lokaal aangepaste versie te installeren.

--package pakket
    pakket is de naam van het pakket waarvan zijn exemplaar van bestand niet omgeleid zal worden. Dit wil zeggen dat bij alle pakketten bestand omgeleid zal worden, behalve bij pakket.

--quiet
    Stille modus, m.a.w. geen breedsprakige uitvoer.

--rename
    Zet het bestand effectief uit de weg (of terug). dpkg-divert zal de bewerking afbreken indien het doelbestand reeds bestaat.

--test
    Testmodus. Voer m.a.w. geen enkele wijziging effectief uit. Geef enkel een demonstratie.

-?, --help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

AFSLUITSTATUS

0   De gevraagde actie werd succesvol uitgevoerd.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

OMGEVING

DPKG_ADMINDIR
    Indien dit ingesteld werd en de optie --admindir niet gebruikt werd, zal dit gebruikt worden als de datamap voor dpkg.

DPKG_MAINTSCRIPT_PACKAGE
    Indien dit ingesteld werd en de opties --local en --package niet gebruikt werden, zal dpkg-divert dit gebruiken als de naam van het pakket.

BESTANDEN

/var/lib/dpkg/diversions
    Bestand dat de huidige lijst van omleggingen op het systeem bevat. Zijn plaats is in de beheersmap van dpkg samen met andere bestanden die belangrijk zijn voor dpkg, zoals status en available.
    Merk op dat dpkg-divert de oorspronkelijke kopie van dit bestand bewaart met de extensie -old, vooraleer het te vervangen door het nieuwe exemplaar.

OPMERKINGEN
Bij het toevoegen wordt standaard --local en --divert origineel.distrib gebruikt. Bij het verwijderen moeten --package of --local en --divert overeenkomen als ze opgegeven werden. Mappen kunnen met dpkg-divert niet omgeleid worden. Extra zorg moet besteed worden aan het omleiden van gedeelde bibliotheken. ldconfig(8) maakt een symbolische koppeling aan op basis van het veld DT_SONAME dat in de bibliotheek ingebed zit. Aangezien ldconfig geen omleggingen honoreert (enkel dpkg doet dat), kan het resultaat zijn dat de symbolische koppeling naar de omgeleide bibliotheek verwijst als de omgeleide bibliotheek dezelfde SONAME heeft als de niet-omgeleide.

VOORBEELDEN
Om alle exemplaren van een bestand /usr/bin/voorbeeld om te leiden naar /usr/bin/voorbeeld.foo, of met andere woorden alle pakketten die /usr/bin/voorbeeld aanleveren, op te dragen het te installeren als /usr/bin/voorbeeld.foo en zo nodig het hernoemen ervan uit te voeren:

dpkg-divert --divert /usr/bin/voorbeeld.foo --rename /usr/bin/voorbeeld

Om die omlegging te verwijderen:

dpkg-divert --rename --remove /usr/bin/voorbeeld

Om elk pakket dat /usr/bin/voorbeeld tracht te installeren, om te leiden naar /usr/bin/voorbeeld.foo, behalve uw eigen pakket wiegel

dpkg-divert --package wiegel --divert /usr/bin/voorbeeld.foo --rename /usr/bin/voorbeeld

Om die omlegging te verwijderen:

dpkg-divert --package wiegel --rename --remove /usr/bin/voorbeeld

ZIE OOK
dpkg(1).